---
document: modulemd
version: 2
data:
  name: perl-DBI
  stream: 1.641
  version: 8030020200716150652
  context: ea09926d
  arch: ppc64le
  summary: A database access API for Perl
  description: >
    DBI is a database access Application Programming Interface (API) for the Perl
    language. The DBI API specification defines a set of functions, variables and
    conventions that provide a consistent database interface independent of the actual
    database being used.
  license:
    module:
    - MIT
    content:
    - GPL+ or Artistic
  dependencies:
  - buildrequires:
      perl: [5.24]
      platform: [el8.3.0]
    requires:
      perl: [5.24]
      platform: [el8]
  references:
    community: http://dbi.perl.org/
  profiles:
    common:
      description: DBI distribution
      rpms:
      - perl-DBI
  api:
    rpms:
    - perl-DBI
  buildopts:
    rpms:
      macros: |
        %_without_perl_DBI_enables_Clone 1
        %_without_perl_DBI_enables_coro 1
        %_without_perl_DBI_enables_DB_File 1
        %_without_perl_DBI_enables_MLDBM 1
        %_without_perl_DBI_enables_optional_test 1
        %_without_perl_DBI_enables_SQL_Statement 1
  components:
    rpms:
      perl-DBI:
        rationale: The API.
        ref: 9ae3fcac8c021a7efb6c6d7a83d183b41fe08433
        arches: [aarch64, i686, ppc64le, x86_64]
  artifacts:
    rpms:
    - perl-DBI-0:1.641-3.module_el8.3.0+413+2453e3e5.ppc64le
    - perl-DBI-0:1.641-3.module_el8.3.0+413+2453e3e5.src
    - perl-DBI-debuginfo-0:1.641-3.module_el8.3.0+413+2453e3e5.ppc64le
    - perl-DBI-debugsource-0:1.641-3.module_el8.3.0+413+2453e3e5.ppc64le
...
